Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class Log

    java.lang.Object
      edu.stanford.smi.protege.util.Log

    public class Log

extends Object

A utility class that prints trace messages of various sorts to a log. By default the "log" is the err console but it could be directed elsewhere.

The following code is an example of the use of Log.

>         class Foo {
>            void bar(Object o) {
>                  ...
>                  Log.trace("my message", this, "bar", o);
>                  ...
>            }

>            void static baz(Object o1, String s1) {
>                 ...
>                 Log.trace("my message", Foo.class, "baz", o1, s1);
>                 ...
>            }

Author:
  Ray Fergerson

Method Summary
`static void` | `emptyCatchBlock(Throwable t)`
`static void` | `enter(Object thisOrClass, String methodName)` Deprecated. Use #getLogger().enter()
`static void` | `enter(Object thisOrClass, String methodName, Object arg1)` Deprecated. Use #getLogger().enter()
`static void` | `enter(Object thisOrClass, String methodName, Object arg1, Object arg2)` Deprecated. Use #getLogger().enter()
`static void` | `enter(Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3)` Deprecated. Use #getLogger().enter()
`static void` | `enter(Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)` Deprecated. Use #getLogger().enter()
`static void` | `enter(Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)` Deprecated. Use #getLogger().enter()
`static void` | `error(String description, Object thisOrClass, String methodName)` Deprecated. Use getLogger().severe();
`static void` | `error(String description, Object thisOrClass, String methodName, Object arg1)` Deprecated. Use getLogger().severe();
`static void` | `error(String description, Object thisOrClass, String methodName, Object arg1, Object arg2)` Deprecated. Use getLogger().severe();
`static void` | `error(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3)` Deprecated. Use getLogger().severe();
`static void` | `error(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)` Deprecated. Use getLogger().severe();
`static void` | `error(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)` Deprecated. Use getLogger().severe();
`static void` | `exception(Throwable exception, Object thisOrClass, String methodName)` Deprecated. Use getLogger().severe();
`static void` | `exception(Throwable exception, Object thisOrClass, String methodName, Object arg1)` Deprecated. Use getLogger().severe();
`static void` | `exception(Throwable exception, Object thisOrClass, String methodName, Object arg1, Object arg2)` Deprecated. Use getLogger().severe();
`static void` | `exception(Throwable exception, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3)` Deprecated. Use getLogger().severe();
`static void` | `exception(Throwable exception, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)` Deprecated. Use getLogger().severe();
`static void` | `exception(Throwable exception, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)` Deprecated. Use getLogger().severe();
`static void` | `exit(Object thisOrClass, String methodName)` Deprecated. Use getLogger().exiting();
`static Logger` | `getLogger()`
`static Logger` | `getLogger(Class c)`
`static void` | `handleErrors(Logger log, Level level, Collection errors)`
`static void` | `makeInheritedLoggersLocal(Logger logger)`
`static void` | `setLoggingLevel(Class<?> c, Level level)` This method is to ease the debugging of junits.
`static void` | `stack(String description, Object thisOrClass, String methodName)` Deprecated. Use getLogger().info();
`static void` | `stack(String description, Object thisOrClass, String methodName, Object arg1)` Deprecated. Use getLogger().info();
`static void` | `stack(String description, Object thisOrClass, String methodName, Object arg1, Object arg2)` Deprecated. Use getLogger().info();
`static void` | `stack(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3)` Deprecated. Use getLogger().info();
`static void` | `stack(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)` Deprecated. Use getLogger().info();
`static String` | `toString(Throwable t)`
`static void` | `trace(String description, Object thisOrClass, String methodName)` Deprecated. Use getLogger().info();
`static void` | `trace(String description, Object thisOrClass, String methodName, Object arg1)` Deprecated. Use getLogger().info();
`static void` | `trace(String description, Object thisOrClass, String methodName, Object arg1, Object arg2)` Deprecated. Use getLogger().info();
`static void` | `trace(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3)` Deprecated. Use getLogger().info();
`static void` | `trace(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)` Deprecated. Use getLogger().info();
`static void` | `trace(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)` Deprecated. Use getLogger().info();
`static void` | `warning(String description, Object thisOrClass, String methodName)` Deprecated. Use getLogger().warning();
`static void` | `warning(String description, Object thisOrClass, String methodName, Object arg1)` Deprecated. Use getLogger().warning();
`static void` | `warning(String description, Object thisOrClass, String methodName, Object arg1, Object arg2)` Deprecated. Use getLogger().warning();
`static void` | `warning(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3)` Deprecated. Use getLogger().warning();
`static void` | `warning(String description, Object thisOrClass, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)` Deprecated. Use getLogger().warning();

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogger

    public static Logger getLogger()

### emptyCatchBlock

    public static void emptyCatchBlock(Throwable t)

### getLogger

    public static Logger getLogger(Class c)

### makeInheritedLoggersLocal

    public static void makeInheritedLoggersLocal(Logger logger)

### setLoggingLevel

    public static void setLoggingLevel(Class<?> c,
                                       Level level)

  This method is to ease the debugging of junits. It does allow reliable and programatic setting of logging levels but it is probably only useful for debug.

### handleErrors

    public static void handleErrors(Logger log,
                                    Level level,
                                    Collection errors)

### toString

    public static String toString(Throwable t)

### enter

    @Deprecated
    public static void enter(Object thisOrClass,
                                        String methodName)

  Deprecated. Use #getLogger().enter()

  Make an entry into the log with the message that `methodName` has been called (see the `Log` class example).

### enter

    @Deprecated
    public static void enter(Object thisOrClass,
                                        String methodName,
                                        Object arg1)

  Deprecated. Use #getLogger().enter()

  Make an entry into the log with the message that `methodName` has been called and passed the listed argument (see the `Log` class example).

### enter

    @Deprecated
    public static void enter(Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2)

  Deprecated. Use #getLogger().enter()

  Make an entry into the log with the message that `methodName` has been called and passed the listed arguments (see the `Log` class example).

### enter

    @Deprecated
    public static void enter(Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3)

  Deprecated. Use #getLogger().enter()

  Make an entry into the log with the message that `methodName` has been called and passed the listed arguments (see the `Log` class example).

### enter

    @Deprecated
    public static void enter(Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4)

  Deprecated. Use #getLogger().enter()

  Make an entry into the log with the message that `methodName` has been called and passed the listed arguments (see the `Log` class example).

### enter

    @Deprecated
    public static void enter(Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4,
                                        Object arg5)

  Deprecated. Use #getLogger().enter()

  Make an entry into the log with the message that `methodName` has been called and passed the listed arguments (see the `Log` class example).

### error

    @Deprecated
    public static void error(String description,
                                        Object thisOrClass,
                                        String methodName)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an error with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log` class example).

### error

    @Deprecated
    public static void error(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an error with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log` class example).

### error

    @Deprecated
    public static void error(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an error with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log` class example}).

### error

    @Deprecated
    public static void error(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an error with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### error

    @Deprecated
    public static void error(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an error with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### error

    @Deprecated
    public static void error(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4,
                                        Object arg5)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an error with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### exception

    @Deprecated
    public static void exception(Throwable exception,
                                            Object thisOrClass,
                                            String methodName)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an unexpected exception was caught from inside of `methodName` (see the `Log class example`).

### exception

    @Deprecated
    public static void exception(Throwable exception,
                                            Object thisOrClass,
                                            String methodName,
                                            Object arg1)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an unexpected exception was caught from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### exception

    @Deprecated
    public static void exception(Throwable exception,
                                            Object thisOrClass,
                                            String methodName,
                                            Object arg1,
                                            Object arg2)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an unexpected exception was caught from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### exception

    @Deprecated
    public static void exception(Throwable exception,
                                            Object thisOrClass,
                                            String methodName,
                                            Object arg1,
                                            Object arg2,
                                            Object arg3)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an unexpected exception was caught from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### exception

    @Deprecated
    public static void exception(Throwable exception,
                                            Object thisOrClass,
                                            String methodName,
                                            Object arg1,
                                            Object arg2,
                                            Object arg3,
                                            Object arg4)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an unexpected exception was caught from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### exception

    @Deprecated
    public static void exception(Throwable exception,
                                            Object thisOrClass,
                                            String methodName,
                                            Object arg1,
                                            Object arg2,
                                            Object arg3,
                                            Object arg4,
                                            Object arg5)

  Deprecated. Use getLogger().severe();

  Put a message into the log that an unexpected exception was caught from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### exit

    @Deprecated
    public static void exit(Object thisOrClass,
                                       String methodName)

  Deprecated. Use getLogger().exiting();

  Make an entry into the log with the message that `methodName` has returned (see the `Log class example`).

### stack

    @Deprecated
    public static void stack(String description,
                                        Object thisOrClass,
                                        String methodName)

  Deprecated. Use getLogger().info();

  Put a stack dump and message "description" into the log with the additional information that the message is occuring from inside of `methodName` (see the `Log class example`).

### stack

    @Deprecated
    public static void stack(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1)

  Deprecated. Use getLogger().info();

  Put a stack dump and message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed argument (see the `Log class example`).

### stack

    @Deprecated
    public static void stack(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2)

  Deprecated. Use getLogger().info();

  Put a stack dump and message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### stack

    @Deprecated
    public static void stack(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3)

  Deprecated. Use getLogger().info();

  Put a stack dump and message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### stack

    @Deprecated
    public static void stack(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4)

  Deprecated. Use getLogger().info();

  Put a stack dump and message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### trace

    @Deprecated
    public static void trace(String description,
                                        Object thisOrClass,
                                        String methodName)

  Deprecated. Use getLogger().info();

  Put a trace message "description" into the log with the additional information that the message is occuring from inside of `methodName` (see the `Log class example`).

### trace

    @Deprecated
    public static void trace(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1)

  Deprecated. Use getLogger().info();

  Put a trace message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `class example`).

### trace

    @Deprecated
    public static void trace(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2)

  Deprecated. Use getLogger().info();

  Put a trace message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `class example`).

### trace

    @Deprecated
    public static void trace(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3)

  Deprecated. Use getLogger().info();

  Put a trace message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `class example`).

### trace

    @Deprecated
    public static void trace(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4)

  Deprecated. Use getLogger().info();

  Put a trace message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `class example`).

### trace

    @Deprecated
    public static void trace(String description,
                                        Object thisOrClass,
                                        String methodName,
                                        Object arg1,
                                        Object arg2,
                                        Object arg3,
                                        Object arg4,
                                        Object arg5)

  Deprecated. Use getLogger().info();

  Put a trace message "description" into the log with the additional information that the message is occuring from inside of `methodName` which was called with the listed arguments (see the `class example`).

### warning

    @Deprecated
    public static void warning(String description,
                                          Object thisOrClass,
                                          String methodName)

  Deprecated. Use getLogger().warning();

  Put a message into the log that a warning with the given description occurred from inside of `methodName` (see the `Log class example`).

### warning

    @Deprecated
    public static void warning(String description,
                                          Object thisOrClass,
                                          String methodName,
                                          Object arg1)

  Deprecated. Use getLogger().warning();

  Put a message into the log that a warning with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### warning

    @Deprecated
    public static void warning(String description,
                                          Object thisOrClass,
                                          String methodName,
                                          Object arg1,
                                          Object arg2)

  Deprecated. Use getLogger().warning();

  Put a message into the log that a warning with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### warning

    @Deprecated
    public static void warning(String description,
                                          Object thisOrClass,
                                          String methodName,
                                          Object arg1,
                                          Object arg2,
                                          Object arg3)

  Deprecated. Use getLogger().warning();

  Put a message into the log that a warning with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

### warning

    @Deprecated
    public static void warning(String description,
                                          Object thisOrClass,
                                          String methodName,
                                          Object arg1,
                                          Object arg2,
                                          Object arg3,
                                          Object arg4)

  Deprecated. Use getLogger().warning();

  Put a message into the log that a warning with the given description occurred from inside of `methodName` which was called with the listed arguments (see the `Log class example`).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.